- Extending Qt Creator Manual
- CommandButton
- Extending Qt Creator Manual 6.0.2

# CommandButton Class

class Core::CommandButton

The CommandButton class is a tool button associated with one of the registered Command objects. More...

Header: | #include <coreplugin/actionmanager/commandbutton.h>

- List of all members, including inherited members

## Properties

- toolTipBase : QString

## Public Functions

void | setCommandId(Utils::Id id)
void | setToolTipBase(const QString &toolTipBase)
QString | toolTipBase() const

## Detailed Description

Tooltip of this button consists of toolTipBase property value and Command's key sequence which is automatically updated when user changes it.

## Property Documentation

### toolTipBase : QString

This property holds the tool tip base for the command button.

Access functions:

QString | toolTipBase() const
void | setToolTipBase(const QString &toolTipBase)

## Member Function Documentation

### void CommandButton::setCommandId(Utils::Id id)

Sets the ID of the command associated with this tool button to id.